Bug 249741 - net-mgmt/wmi-client: depends on python 2.x
Summary: net-mgmt/wmi-client: depends on python 2.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords: buildisok
Depends on:
Blocks: 249337
  Show dependency treegraph
 
Reported: 2020-09-24 16:33 UTC by Steve Wills
Modified: 2020-12-16 17:47 UTC (History)
1 user (show)

See Also:
koichiro: maintainer-feedback+


Attachments
patch to remove python support (2.62 KB, patch)
2020-09-24 18:04 UTC, Steve Wills
koichiro: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2020-09-24 16:33:18 UTC
This port will be removed on 2020-12-31 if not fixed
Comment 1 Steve Wills freebsd_committer 2020-09-24 18:04:10 UTC
Created attachment 218250 [details]
patch to remove python support
Comment 2 Automation User 2020-10-09 01:23:55 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/200108385
Comment 3 KIKUCHI Koichiro 2020-10-16 05:01:11 UTC
I don't think there are any users of python bindings, as it is common to run the wmic command directly.

please apply patch.
Comment 4 commit-hook freebsd_committer 2020-12-16 17:41:15 UTC
A commit references this bug:

Author: swills
Date: Wed Dec 16 17:41:00 UTC 2020
New revision: 558232
URL: https://svnweb.freebsd.org/changeset/ports/558232

Log:
  net-mgmt/wmi-client: remove python support

  PR:		249741
  Submitted by:	KIKUCHI Koichiro <koichiro@rworks.jp> (maintainer)

Changes:
  head/net-mgmt/wmi-client/Makefile
  head/net-mgmt/wmi-client/pkg-plist
Comment 5 Steve Wills freebsd_committer 2020-12-16 17:47:05 UTC
Committed, thanks!